package com.ruoyi.rc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问卷模板对象 t_questionnaire_template
 * 
 * @author ruoyi
 * @date 2024-07-31
 */
public class TQuestionnaireTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 章节id */
    @Excel(name = "章节id")
    private Long chapterId;

    private String chapterName;

    /** 问卷类型 */
    @Excel(name = "问卷类型")
    private String type;

    /** 目录 */
    @Excel(name = "目录")
    private String directory;

    /** 序号 */
    @Excel(name = "序号")
    private Long code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 装置id */
    @Excel(name = "装置id")
    private String deptId;

    /** 装置 */
    @Excel(name = "装置")
    private String deptName;

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setChapterId(Long chapterId) 
    {
        this.chapterId = chapterId;
    }

    public Long getChapterId() 
    {
        return chapterId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDirectory(String directory) 
    {
        this.directory = directory;
    }

    public String getDirectory() 
    {
        return directory;
    }
    public void setCode(Long code) 
    {
        this.code = code;
    }

    public Long getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("chapterId", getChapterId())
            .append("type", getType())
            .append("directory", getDirectory())
            .append("code", getCode())
            .append("name", getName())
            .append("deptId", getDeptId())
            .toString();
    }
}
